import { Button, FormControl, InputLabel, MenuItem, Select, TextField } from "@mui/material";
import { memo } from "react";
import CustomSelect from '../UI/СustomSelect/СustomSelect'

const priorities = [{value: '', text: '--Приоритет--'}, {value: 'A', text: 'A'}, {value: 'B', text: 'B'}, {value: 'C', text: 'C'}]


function MonthCalendarModalContent({title, onChangeCurrentTaskHandler, description, priority, sendNewTaskHandler, deleteTaskHandler}) {
  return (<>
    <TextField 
      id="task-description-title" 
      value={title}
      label="Название" 
      variant="outlined" 
      sx={{marginBottom: '30px'}}
      name='title'
      onChange={(e)=>{onChangeCurrentTaskHandler(e)}}
    />
    <TextField 
      id="task-description" 
      multiline
      rows={4}
      value={description}
      label="Описание" 
      variant="outlined" 
      sx={{marginBottom: '30px'}} 
      name='description'
      onChange={(e)=>{onChangeCurrentTaskHandler(e)}}
    />

    <CustomSelect
      defaultValue={''}
      value={priority}
      name={'priority'}
      variant={'outlined'}
      onChange={(e)=>{onChangeCurrentTaskHandler(e)}}
      label={'Приоритет'}
      id={'priority-type'}
      items={priorities}
    />
  <Button sx={{marginRight: '40px'}} onClick={sendNewTaskHandler}>Сохранить</Button>
  <Button onClick={deleteTaskHandler}>Удалить</Button>
  </>);
}

export default memo(MonthCalendarModalContent);